<h1 mat-dialog-title>Envoyer de l’argent</h1>

<form mat-dialog-content [formGroup]="transactionForm" (ngSubmit)="submitForm(transactionForm)">
  <mat-form-field>
    <mat-label>Destinataire</mat-label>
    <input matInput placeholder="John Doe" formControlName="receiver" />
    <mat-error *ngIf="receiver?.errors?.required">Champ requis</mat-error>
  </mat-form-field>

  <mat-form-field>
    <mat-label>Montant</mat-label>
    <input matInput type="number" placeholder="0" min="0" formControlName="amount" />
    <span matSuffix>€</span>
    <mat-error *ngIf="amount?.errors?.required">Montant requis</mat-error>
    <mat-error *ngIf="amount?.hasError('min')">Montant minimum de 1€</mat-error>
  </mat-form-field>

  <mat-form-field>
    <mat-label>Commentaire</mat-label>
    <input matInput formControlName="comment" />
  </mat-form-field>

  <mat-error *ngIf="errorMessage$ | async as errorMessage">{{ errorMessage }}</mat-error>

  <div mat-dialog-actions>
    <button mat-button mat-dialog-close>Annuler</button>
    <button mat-button color="primary" type="submit">Envoyer</button>
  </div>
</form>
